M_FREE_AND_CLEAR_POINTER(3)

EXPERIMENTAL_FUNC
m_free_and_clear_pointer - Free and clear pointer to a pointer.

SYNOPSIS
#include <karma_m.h>

void m_free_and_clear_pointer

(void *ptr)

DESCRIPTION
Free and clear pointer to a pointer.

ptr A pointer to a pointer to a block of memory. The block of memory is freed and NULL is written to the memory block pointer. This may be NULL, and the memory block pointer may also be NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/